Subject: Re: [Pasemi-linux] I2C MDIO support for pasemi_mac driver

From: Nate Case <[email-masked]>
Date: Thu, 03 Apr 2008 08:45:27 -0500

On Wed, 2008-04-02 at 17:45 -0500, Andy Fleming wrote:
> My first instinct is that the current bus->id shouldn't be an int at  
> all (well, obviously not my *first* instinct, since that's what I did  
> the first time through).  So I like the idea of including a label in  
> the bus, but I'm not sure if it's necessary to add a new field.   
> Instead, I'd like to see bus->id converted to a char * or char [].  I  
> played around with this a bit today, and it requires a little more  
> work than it might at first seem, but is quite doable.
> 
> The question is whether that would solve your problem.  I think you  
> would then be able to register buses with the id "pas_gpio:xxx" or  
> "i2c:xxx", etc.

Thanks for the feedback.  Changing the bus ID to a string would solve my
problem, and I think this is a good way to do it.

- Nate Case <[email-masked]>